#ifndef __DIALOG_H__
#define __DIALOG_H__


typedef struct _dialog_t {
	u8_t *call_id;
	u8_t *ltag;
	u8_t *rtag;
	u8_t *luri;
	u8_t *ruri;
	u32_t lcseq;
	u32_t rcseq;
} dialog_t;


void dialog_free(void *ptr);
void dialog_create_outbound(list_t *dialogs, msg_t *req, msg_t *resp);
void dialog_create_inbound(list_t *dialogs, msg_t *req, msg_t *resp);
ret_t dialog_hangup_inbound(list_t *dialogs, msg_t *req);
void dialog_hangup_outbound(list_t *dialogs, msg_t *req);
void dialog_status(list_t *dialogs);


#endif /* __DIALOG_H__ */
