#ifndef __DSP_H__
#define __DSP_H__


#define DSP_DEBUG 1

#ifdef DSP_DEBUG
#define DSP_DEBUG_PRINTF sapi_logf
#else
#define DSP_DEBUG_PRINTF(a, b...)
#endif


typedef void(*dsp_read_t)(void *payload, size_t payload_len, void *arg);


void dsp_init(dsp_read_t read, void *arg);
void dsp_write(void *payload, size_t payload_size);
void dsp_status(void);


#endif /* __DSP_H__ */
