#include <sapi.h>
#include <msg.h>


param_t *msg_param_alloc()
{
	return((param_t *)sapi_malloc((u32_t)sizeof(param_t)));
}


void msg_param_free(void *ptr)
{
	param_t *param = (param_t *)ptr;

	if(!param)
		return;

	sapi_free(param->name);
	sapi_free(param->value);
	sapi_free(param);
}


param_t *msg_param_dup(const param_t *param)
{
	param_t *new_param;

	if(!param)
		return(NULL);
	
	new_param = msg_param_alloc();

	new_param->name  = sapi_strdup(param->name);
	new_param->value = sapi_strdup(param->value);

	return(new_param);
}
