#include "sapi.h"


u32_t sapi_to_number(const u8_t *start, const u8_t *end)
{
	u32_t num = 0;

	if(!start || !end || end < start)
		return(0);

	while(start <= end) {
		if('0' <= *start && *start <= '9') {
			num = num * 10 + *start - '0';
			start++;
			continue;
		}
		else
			return(0);
	}

	return(num);
}
