#ifndef __LDB_H__
#define __LDB_H__


#define LDB_DEBUG 1

#ifdef LDB_DEBUG
#define LDB_DEBUG_PRINTF sapi_logf
#else
#define LDB_DEBUG_PRINTF(a, b...)
#endif


void ldb_init();
ret_t ldb_put(const msg_t *req);
list_t *ldb_get(const u8_t *address);
void ldb_status(void);
u8_t *ldb_dump_html(void);


#endif /* __LDB_H__ */
