#include <netdb.h>
#include <string.h>
#include "sapi.h"


ret_t sapi_resolv(const u8_t *hostname, u32_t *hostaddr)
{
	struct hostent hent, *hres;
	u8_t hbuf[8192];
	s32_t h_errno;

	if(gethostbyname_r(hostname, &hent, hbuf, sizeof(hbuf), &hres, &h_errno)) {
		sapi_logf("sapi_resolv(): %s: %s", hstrerror(h_errno), hostname);
		return(ERR);
	}

	bcopy(hres->h_addr_list[0], (char *)hostaddr, sizeof(*hostaddr));
	endhostent();

	return(OK);
}
