#include <ctype.h>
#include "sapi.h"


bool_t sapi_strcmp_ci(const u8_t *str1, const u8_t *str2)
{
	if(!str1 || !str2) {
		  // sapi_printf("sapi_strcmp_ci(): called on NULL pointers");
		  return(FALSE);
	}

	while(*str1 && *str2) {

		if(tolower(*str1) != tolower(*str2))
			return(FALSE);

		str1++;
		str2++;
	}

	if(!*str1 && !*str2)
		return(TRUE);

	return(FALSE);
}
