#include <unistd.h>
#include <errno.h>
#include <string.h>
#include <stdio.h>
#include "sapi.h"


ret_t sapi_unlink(const u8_t *pathname)
{
	if(unlink(pathname)) {
		sapi_printf("sapi_unlink(): unlink(): %s: %s", pathname, strerror(errno));
		sapi_logf("sapi_unlink(): unlink(): %s: %s", pathname, strerror(errno));
		return(ERR);
	}

	return(OK);
}
